Groovy Documentation

## org.codehaus.groovy.tools.shell
[Groovy] Class CommandRegistry

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandRegistry

    class CommandRegistry

A registry of shell Command instances which may be executed.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary
`protected Logger` | `log`

Property Summary
`java.util.List` | `commands` A list of all of the registered commands.

Method Summary
`java.util.List` | `commands()`
`Command` | `find(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.util.Iterator` | `iterator()`
`java.lang.Object` | `leftShift(Command command)`
`Command` | `register(Command command)`
`void` | `remove(Command command)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### log

    protected final Logger log

Property Detail

### commands

    final java.util.List commands

  A list of all of the registered commands.

Method Detail

### commands

    java.util.List commands()

### find

    Command find(java.lang.String name)

### getProperty

    java.lang.Object getProperty(java.lang.String name)

### iterator

    java.util.Iterator iterator()

### leftShift

    java.lang.Object leftShift(Command command)

### register

    Command register(Command command)

### remove

    void remove(Command command)

Groovy Documentation